## eyes17-manuals 5.1.2+repack

=== Makefile ===
DESTDIR =
SUBDIRS = po clib/expeyes-clib
SUBDIRS_INDEP = expeyes-web \
		microhope microhope/po microhope/microhope-doc \
		eyes17 eyes17/lang eyes17/layouts eyes17/helpFiles \
		eyesjunior/lang eyesjunior/layouts eyesjunior/helpFiles \
		bin

LANGS = ${wildcard eyes17/helpFiles| grep '^..$$'}
THIS_DIR = ${shell pwd}

all: all_arch all_indep all_firmware

all_arch:
	python3 setup.py build
	for d in $(SUBDIRS); do \
	  if [ -f $$d/configure.ac ]; then \
	    (cd $$d; autoreconf --install;) \
	  fi; \
	  if [ -x $$d/configure ]; then \
	    (cd $$d; ./configure --prefix=/usr; $(MAKE) all;) \
	  else \
	    $(MAKE) -C $$d all; \
	  fi; \
	done

all_indep:
	for d in $(SUBDIRS_INDEP); do \
	  $(MAKE) -C $$d all; \
	done

all_firmware:
	for d in firmware kuttyPy/firmware microhope/firmware; do \
	  $(MAKE) -C $$d all; \
	done

clean_firmware: clean
	# clean the bootloader hex file
	make -C microhope/firmware clean

install: install_arch install_indep

install_arch: all_arch
	# for python3-expeyes
	if grep -Eq "Debian|Ubuntu" /etc/issue; then \
	  python3 setup.py install --install-layout=deb \
	         --root=$(DESTDIR)/ --prefix=/usr; \
	else \
	  python3 setup.py install --root=$(DESTDIR)/ --prefix=/usr; \
	fi
	install -d $(DESTDIR)/lib/udev/rules.d/
	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
	# for expeyes
	install -d $(DESTDIR)/usr/share/expeyes
	cp -a eyes $(DESTDIR)/usr/share/expeyes
	# icons
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-logo.png \
	  $(DESTDIR)/usr/share/icons/expeyes.png
	install -m 644 pixmaps/expeyes-junior-icon.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/eyes17-logo.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
	  $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/nuclear-icon.png \
	  $(DESTDIR)/usr/share/icons
	# desktop files
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/expeyes.desktop \
	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
	  desktop/expeyes-17.desktop \
	  $(DESTDIR)/usr/share/applications
	$(MAKE) -C po install DESTDIR=$(DESTDIR)
	# for expeyes-doc-common
	install -d $(DESTDIR)/usr/share/icons
	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
	install -d $(DESTDIR)/usr/share/applications
	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
	# subdirs stuff
	for d in $(SUBDIRS); do \
	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
	done
	# fix permissions in /usr/share/expeyes
	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
	# for expeyes-clib
	rm -f  $(DESTDIR)/usr/share/expeyes/clib
	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib

DOCDIR_17 = $(DESTDIR)/usr/share/eyes17/doc
DEBIAN_DOCDIR = $(DESTDIR)/usr/share/doc/eyes17

install_indep: all_indep
	for d in $(SUBDIRS_INDEP); do \
	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
	done
	# copy eyes17 docs' locations expEYES-17.{pdf|epub} to eyes17.{pdf|epub}
	mkdir -p $(DOCDIR_17)
	for lang in en fr es ml; do \
	  mkdir -p $(DEBIAN_DOCDIR)/$${lang}; \
	  ln -s ../../doc/eyes17/$${lang} $(DOCDIR_17); \
	  install -m 644 \
	       eyes17/helpFiles/$${lang}/build/latex/expEYES-17.pdf \
	       $(DEBIAN_DOCDIR)/$${lang}/eyes17.pdf; \
	  install -m 644 \
	       eyes17/helpFiles/$${lang}/build/epub/expEYES-17.epub \
	       $(DEBIAN_DOCDIR)/$${lang}/eyes17.epub; \
	done
	# fix a few permission
	find $(DESTDIR) -name "*.pdf" -exec chmod -x {} \;
	# PO files for expeyes
	make -C po install DESTDIR=$(DESTDIR)
	# PO files for microhope
	make -C microhope/po install DESTDIR=$(DESTDIR)
	# files from eyesjunior
	mkdir -p $(DESTDIR)/usr/share/eyesj
	cp -a eyesjunior/* $(DESTDIR)/usr/share/eyesj
	# files from eyes17
	mkdir -p $(DESTDIR)/usr/share/eyes17
	for f in eyes17/server*.html eyes17/*.py ; do \
	  cp $$f $(DESTDIR)/usr/share/eyes17; \
	done
	for d in code examples eyes17 html images lang layouts screenshots; do \
	  cp -a eyes17/$$d $(DESTDIR)/usr/share/eyes17; \
	done
	# help files for eyes17s help popup
	mkdir -p $(DESTDIR)/usr/share/eyes17/helpFiles
	for d in pics schematics; do \
	  cp -a eyes17/helpFiles/$$d $(DESTDIR)/usr/share/eyes17/helpFiles; \
	done
	for l in $(LANGS); do \
	  mkdir -p $(DESTDIR)/usr/share/eyes17/helpFiles/$$l; \
	  cd $(THIS_DIR)/eyes17/helpFiles/$$l; \
	  cp -a *.html pics schematics \
		$(DESTDIR)/usr/share/eyes17/helpFiles/$$l; \
	done
	# clean VCS files
	find $(DESTDIR) -name .gitignore | xargs rm -f
	# remove doctrees
	find $(DESTDIR) -type d -name 'doctrees' | xargs rm -rf
	# remove useless Makefiles
	find $(DESTDIR) -name "Makefile*" | xargs rm -f
	# remove aj-arrange-files.sh
	rm -f $(DESTDIR)/usr/share/eyesj/helpFiles/aj-arrange-files.sh
	# remove stale symlinks which break py3compile's work
	for f in conf.py prettyLaTeX.py; do \
	  find $(DESTDIR)/usr/share/eyes17/helpFiles -name $$f | xargs rm -f; \
	done

clean:
	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || $(MAKE) -C $$d clean; \
	done
	[ ! -d clib ] || (cd clib/expeyes-clib && sh clean-all.sh)
	# fix compiles Python files created by the clean scripts above
	find . -name __pycache__ | xargs rm -rf


.PHONY: all all_arch all_indep all_firmware install install_arch install_indep clean clean_firmware

=== debian/changelog ===
eyes17-manuals (5.1.2+repack-1) unstable; urgency=medium

  * fixed a few warning raised by d/copyright
  * put the list of build-dependencies in alpha order, added new build
    dependencies, dropped the build-dependency on img2pdf
  * added a recommendation for calibre, evince
  * fixed the patch for Makefile
  * defined a rule to erase pdf and epub outputs before running the build
  * New upstream version 5.1.2+repack
  * close the ITP. (Closes: #1015760)

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jul 2022 16:01:41 +0200

eyes17-manuals (5.1+repack-1) experimental; urgency=medium

  * New upstream version 5.1+repack
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Jul 2022 15:42:40 +0200

eyes17-manuals (5.0+repack-1) experimental; urgency=medium

  * Initial release. (Closes: #1015760) 

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 17:27:47 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	find eyes17/helpFiles -name expEYES-17.epub -o -name expEYES-17.pdf| xargs rm -f

## eyes17-manuals 5.3.1+repack

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,18 @@
 DESTDIR =
+EYES17_ONLY = $(shell ls build_eyes17_only 2>/dev/null)
 SUBDIRS = po clib/expeyes-clib
+ifeq ($(EYES17_ONLY), build_eyes17_only)
+	SUBDIRS =
+endif
+
 SUBDIRS_INDEP = expeyes-web \
 		microhope microhope/po microhope/microhope-doc \
 		eyes17 eyes17/lang eyes17/layouts eyes17/helpFiles \
 		eyesjunior/lang eyesjunior/layouts eyesjunior/helpFiles \
 		bin
+ifeq ($(EYES17_ONLY), build_eyes17_only)
+	SUBDIRS_INDEP = eyes17 eyes17/lang eyes17/layouts eyes17/helpFiles
+endif
 
 LANGS = ${wildcard eyes17/helpFiles| grep '^..$$'}
 THIS_DIR = ${shell pwd}
@@ -30,9 +38,11 @@
 	done
 
 all_firmware:
-	for d in firmware kuttyPy/firmware microhope/firmware; do \
-	  $(MAKE) -C $$d all; \
-	done
+	if [ -z "$(EYES17_ONLY)" ]; then \
+	  for d in firmware kuttyPy/firmware microhope/firmware; do \
+	    $(MAKE) -C $$d all; \
+	  done; \
+	fi
 
 clean_firmware: clean
 	# clean the bootloader hex file
@@ -50,44 +60,44 @@
 	fi
 	install -d $(DESTDIR)/lib/udev/rules.d/
 	install -m 644 99-phoenix.rules $(DESTDIR)/lib/udev/rules.d/
-	# for expeyes
-	install -d $(DESTDIR)/usr/share/expeyes
-	cp -a eyes $(DESTDIR)/usr/share/expeyes
-	# icons
+	## for expeyes
+	#install -d $(DESTDIR)/usr/share/expeyes
+	#cp -a eyes $(DESTDIR)/usr/share/expeyes
+	## icons
 	install -d $(DESTDIR)/usr/share/icons
-	install -m 644 pixmaps/expeyes-logo.png \
-	  $(DESTDIR)/usr/share/icons/expeyes.png
-	install -m 644 pixmaps/expeyes-junior-icon.png \
-	  $(DESTDIR)/usr/share/icons
+	#install -m 644 pixmaps/expeyes-logo.png \
+	#  $(DESTDIR)/usr/share/icons/expeyes.png
+	#install -m 644 pixmaps/expeyes-junior-icon.png \
+	#  $(DESTDIR)/usr/share/icons
 	install -m 644 pixmaps/eyes17-logo.png \
 	  $(DESTDIR)/usr/share/icons
-	install -m 644 pixmaps/expeyes-progman-jr-doc.png \
-	  $(DESTDIR)/usr/share/icons
-	install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
-	  $(DESTDIR)/usr/share/icons
-	install -m 644 pixmaps/nuclear-icon.png \
-	  $(DESTDIR)/usr/share/icons
-	# desktop files
+	#install -m 644 pixmaps/expeyes-progman-jr-doc.png \
+	#  $(DESTDIR)/usr/share/icons
+	#install -m 644 pixmaps/expeyes-progman-jr-doc.svg \
+	#  $(DESTDIR)/usr/share/icons
+	#install -m 644 pixmaps/nuclear-icon.png \
+	#  $(DESTDIR)/usr/share/icons
+	## desktop files
 	install -d $(DESTDIR)/usr/share/applications
-	install -m 644 desktop/expeyes.desktop \
-	  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop \
-	  desktop/expeyes-17.desktop \
+	#install -m 644 desktop/expeyes.desktop \
+	#  desktop/expeyes-junior.desktop desktop/Phoenix-ASM.desktop
+	install -m644 desktop/expeyes-17.desktop \
 	  $(DESTDIR)/usr/share/applications
-	$(MAKE) -C po install DESTDIR=$(DESTDIR)
+	#$(MAKE) -C po install DESTDIR=$(DESTDIR)
 	# for expeyes-doc-common
 	install -d $(DESTDIR)/usr/share/icons
-	install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
+	# install -m 644 pixmaps/*doc.png $(DESTDIR)/usr/share/icons
 	install -d $(DESTDIR)/usr/share/applications
-	install -m 644 desktop/*doc.desktop $(DESTDIR)/usr/share/applications
+	install -m 644 desktop/eyes17-doc.desktop $(DESTDIR)/usr/share/applications
 	# subdirs stuff
 	for d in $(SUBDIRS); do \
 	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d install DESTDIR=$(DESTDIR); \
 	done
-	# fix permissions in /usr/share/expeyes
-	find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
-	# for expeyes-clib
-	rm -f  $(DESTDIR)/usr/share/expeyes/clib
-	ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
+	## fix permissions in /usr/share/expeyes
+	#find $(DESTDIR)/usr/share/expeyes -type f -exec chmod 644 {} \;
+	## for expeyes-clib
+	#rm -f  $(DESTDIR)/usr/share/expeyes/clib
+	#ln -s /usr/lib/expeyes $(DESTDIR)/usr/share/expeyes/clib
 
 DOCDIR_17 = $(DESTDIR)/usr/share/eyes17/doc
 DEBIAN_DOCDIR = $(DESTDIR)/usr/share/doc/eyes17
@@ -110,19 +120,20 @@
 	done
 	# fix a few permission
 	find $(DESTDIR) -name "*.pdf" -exec chmod -x {} \;
-	# PO files for expeyes
-	make -C po install DESTDIR=$(DESTDIR)
-	# PO files for microhope
-	make -C microhope/po install DESTDIR=$(DESTDIR)
-	# files from eyesjunior
-	mkdir -p $(DESTDIR)/usr/share/eyesj
-	cp -a eyesjunior/* $(DESTDIR)/usr/share/eyesj
+	## PO files for expeyes
+	#make -C po install DESTDIR=$(DESTDIR)
+	## PO files for microhope
+	#make -C microhope/po install DESTDIR=$(DESTDIR)
+	## files from eyesjunior
+	#mkdir -p $(DESTDIR)/usr/share/eyesj
+	#cp -a eyesjunior/* $(DESTDIR)/usr/share/eyesj
+
 	# files from eyes17
 	mkdir -p $(DESTDIR)/usr/share/eyes17
 	for f in eyes17/server*.html eyes17/*.py ; do \
 	  cp $$f $(DESTDIR)/usr/share/eyes17; \
 	done
-	for d in code examples eyes17 html images lang layouts screenshots; do \
+	for d in code examples eyes17 html images lang layouts blockly  screenshots; do \
 	  cp -a eyes17/$$d $(DESTDIR)/usr/share/eyes17; \
 	done
 	# help files for eyes17s help popup
@@ -152,7 +163,8 @@
 clean:
 	rm -rf *~ *.pyc build/ eyes/*~ eyes/*.pyc eyes-junior/*~ eyes-junior/*.pyc doc/fr/Docs/eyes.out
 	for d in $(SUBDIRS) $(SUBDIRS_INDEP); do \
-	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || $(MAKE) -C $$d clean; \
+	  [ ! -f $$d/Makefile ] || $(MAKE) -C $$d distclean || \
+		$(MAKE) -C $$d clean EYES17_ONLY=$(EYES17_ONLY); \
 	done
 	[ ! -d clib ] || (cd clib/expeyes-clib && sh clean-all.sh)
 	# fix compiles Python files created by the clean scripts above

=== debian/changelog ===
eyes17-manuals (5.3.1+repack-1) unstable; urgency=medium

  * New upstream version 5.3.1+repack
  * updated the debian patch for Makefile

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 05 Nov 2023 12:10:27 +0100

=== debian/control ===
Source: eyes17-manuals
Section: science
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dvipng,
 fonts-smc-rachana,
 graphicsmagick,
 latexmk,
 librsvg2-bin,
 locales,
 python3-all,
 python3-sphinx,
 tex-gyre,
 texlive-binaries,
 texlive-fonts-extra,
 texlive-fonts-extra-links,
 texlive-fonts-recommended,
 texlive-lang-french,
 texlive-lang-spanish,
 texlive-latex-extra,
 texlive-xetex
Standards-Version: 4.6.1
Homepage:  http://expeyes.in/
Vcs-Browser: https://salsa.debian.org/georgesk/eyes17-manuals
Vcs-Git: https://salsa.debian.org/georgesk/eyes17-manuals.git

Package: eyes17-manuals-en
Architecture: all
Depends:
 ${misc:Depends},
Provides: eyes17-manuals
Conflicts: eyes17 (<< 5.1)
Recommends: calibre, evince
Description: Eyes17 User Manuals (English version)
 Eyes17 provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 This package contains user manuals in PDF and EPUB formats, in English
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.

Package: eyes17-manuals-es
Architecture: all
Depends:
 ${misc:Depends},
Provides: eyes17-manuals
Conflicts: eyes17 (<< 5.1) 
Recommends: calibre, evince
Description: Eyes17 User Manuals (Spanish version)
 Eyes17 provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 This package contains user manuals in PDF and EPUB formats, in Spanish
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.

Package: eyes17-manuals-fr
Architecture: all
Depends:
 ${misc:Depends},
Provides: eyes17-manuals
Conflicts: eyes17 (<< 5.1) 
Recommends: calibre, evince
Description: Eyes17 User Manuals (French version)
 Eyes17 provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 This package contains user manuals in PDF and EPUB formats, in French
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.

Package: eyes17-manuals-ml
Architecture: all
Depends:
 ${misc:Depends},
Provides: eyes17-manuals
Conflicts: eyes17 (<< 5.1) 
Recommends: calibre, evince
Description: Eyes17 User Manuals (Malayalam version)
 Eyes17 provides high level interfaces for making science experiments
 with an ExpEYES-17 box.
 .
 This package contains user manuals in PDF and EPUB formats, in Malayalam
 .
 ExpEYES-17 is from the PHOENIX project of Inter-University Accelerator
 Centre, New Delhi. It is a hardware & software framework for
 developing science experiments, demonstrations and projects and learn
 science and engineering by exploration. Capable of doing real time
 measurements and analysing the data in different ways. When compared with
 previous ExpEYES boxes (Expeyes, Expeyes-Junior), ExpEYES-17 is richer
 in various features: multiple soft input ranges, more flexible wave
 generator, better time resolution, better voltage resolution, supports
 seamlessly cheap I2C sensors.
